=== docs/Makefile ===
install:

clean:
	rm -f *.o *.so *.pyc *~
