=== debian/changelog ===
koji (1.10.0-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Initial release. (Closes: #806953)

 -- Ximin Luo <infinity0@debian.org>  Fri, 04 Dec 2015 11:20:57 +0100
