=== debian/watch ===
version=3
https://fedorahosted.org/released/koji/koji-(.+).tar.bz2
