## koji 1.16.0

=== koji/Makefile ===
--- 
+++ 
@@ -1,11 +1,17 @@
-SUBDIRS = ssl
-
 PYTHON=python
 PACKAGE = $(shell basename `pwd`)
-PYFILES = $(wildcard *.py)
-PYSCRIPTS = context.py
-PYVER := $(shell $(PYTHON) -c 'import sys; print "%.3s" %(sys.version)')
-PYSYSDIR := $(shell $(PYTHON) -c 'import sys; print sys.prefix')
+ifeq ($(PYTHON), python3)
+    # for python3 we fully support only basic library + CLI
+    PYFILES = __init__.py util.py plugin.py xmlrpcplus.py
+    PYSCRIPTS =
+    SUBDIRS =
+else
+    PYFILES = $(wildcard *.py)
+    PYSCRIPTS = context.py
+    SUBDIRS =
+endif
+PYVER := $(shell $(PYTHON) -c 'import sys; print("%.3s" % (sys.version))')
+PYSYSDIR := $(shell $(PYTHON) -c 'import sys; print(sys.prefix)')
 PYLIBDIR = $(PYSYSDIR)/lib/python$(PYVER)
 PKGDIR = $(PYLIBDIR)/site-packages/$(PACKAGE)
