=== cli/Makefile ===
--- 
+++ 
@@ -1,3 +1,12 @@
+SUBDIRS=koji_cli
+
+PYTHON=python
+PACKAGE = $(shell basename `pwd`)
+PYVER := $(shell $(PYTHON) -c 'import sys; print("%.3s" %(sys.version))')
+PYSYSDIR := $(shell $(PYTHON) -c 'import sys; print(sys.prefix)')
+PYLIBDIR = $(PYSYSDIR)/lib/python$(PYVER)
+PKGDIR = $(PYLIBDIR)/site-packages
+
 FILES = koji
 
 _default:
@@ -13,7 +22,11 @@
 		exit 1; \
 	fi
 
+	for d in $(SUBDIRS); do make DESTDIR=$(DESTDIR) \
+		-C $$d install; [ $$? = 0 ] || exit 1; done
+
 	mkdir -p $(DESTDIR)/usr/bin
 	install -p -m 755 $(FILES) $(DESTDIR)/usr/bin
+	mkdir -p $(DESTDIR)/etc/koji.conf.d
 	install -p -m 644 koji.conf $(DESTDIR)/etc/koji.conf
-	mkdir -p $(DESTDIR)/etc/koji.conf.d
+	install -p -m 644 koji.conf $(DESTDIR)/etc/koji.conf
