=== hub/Makefile ===
--- 
+++ 
@@ -1,9 +1,8 @@
 PYTHON=python
 PACKAGE = $(shell basename `pwd`)
-LIBEXECFILES = rpmdiff
 PYFILES = $(wildcard *.py)
-PYVER := $(shell $(PYTHON) -c 'import sys; print "%.3s" %(sys.version)')
-PYSYSDIR := $(shell $(PYTHON) -c 'import sys; print sys.prefix')
+PYVER := $(shell $(PYTHON) -c 'import sys; print("%.3s" %(sys.version))')
+PYSYSDIR := $(shell $(PYTHON) -c 'import sys; print(sys.prefix)')
 PYLIBDIR = $(PYSYSDIR)/lib/python$(PYVER)
 PKGDIR = $(PYLIBDIR)/site-packages/$(PACKAGE)
 
@@ -24,7 +23,6 @@
 	fi
 
 	mkdir -p $(DESTDIR)/usr/libexec/koji-hub
-	install -p -m 755 $(LIBEXECFILES) $(DESTDIR)/usr/libexec/koji-hub
 
 	mkdir -p $(DESTDIR)/etc/httpd/conf.d
 	install -p -m 644 httpd.conf $(DESTDIR)/etc/httpd/conf.d/kojihub.conf
