=== debian/changelog ===
koji (1.16.2-1) unstable; urgency=medium

  * New upstream version, fixing CVE-2018-1002161. Closes: #922922

 -- Holger Levsen <holger@debian.org>  Sun, 24 Feb 2019 19:44:30 +0100

koji (1.16.1-1) unstable; urgency=medium

  * New upstream version.

 -- Holger Levsen <holger@debian.org>  Thu, 07 Feb 2019 14:22:11 +0100

koji (1.16.0-3) unstable; urgency=medium

  * koji-client: add depends on python-requests and python-dateutil, thanks
    to Juhani Numminen for the bug report. Closes: #918780
  * d/control:
    - bump debhelper compat to 11 so we get nice koji* service handling in
      postinst and postrm.
    - use the new debhelper-compat(=11) notation and drop d/compat.
    - bump standards version to 4.3.0, no changes needed.
    - add "Rules-Requires-Root: no" to support building as non-root.
    - add myself to uploaders.
  * d/copyright:
    - use https for Format: URL.
    - add myself.

 -- Holger Levsen <holger@debian.org>  Wed, 09 Jan 2019 12:11:40 +0100
