=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: koji
 Maintainer: Reproducible Builds Maintainers <reproducible-builds@lists.alioth.debian.org>
 Uploaders: Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>,
- Ximin Luo <infinity0@debian.org>
+ Ximin Luo <infinity0@debian.org>,
+ Holger Levsen <holger@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
+Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 9.20160709),
+ debhelper-compat (= 11),
  dh-python,
  createrepo,
  help2man,
@@ -64,6 +66,8 @@
 Package: koji-client
 Architecture: all
 Depends: python, ${misc:Depends}, ${python:Depends}, koji-common (= ${binary:Version}),
+ python-requests,
+ python-dateutil,
  yum,
 Description: RPM-based build system - client
  The Fedora Project uses Koji for their build system, as do several other
