=== debian/watch ===
version=3
https://releases.pagure.org/koji/koji-(.+).tar.bz2
